"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.wormhole = exports.load = void 0;
const sdk_connect_1 = require("@wormhole-foundation/sdk-connect");
__exportStar(require("@wormhole-foundation/sdk-connect"), exports);
async function load(loaders) {
    try {
        // Load platforms
        const platforms = await Promise.all(loaders.map(async (loader) => loader()));
        // Load all protocols by default
        await Promise.all(platforms.map(async (p) => await Promise.all(Object.values(p.protocolLoaders).map((loaderFn) => loaderFn()))));
        // return platforms
        return platforms;
    }
    catch (e) {
        console.error("Failed to load required packages", e);
        throw e;
    }
}
exports.load = load;
async function wormhole(network, platforms, config) {
    const loaded = (await load(platforms)).map((p) => p.Platform);
    return new sdk_connect_1.Wormhole(network, loaded, config);
}
exports.wormhole = wormhole;
//# sourceMappingURL=index.js.map