import type { ConfigOverrides, Network, Platform } from "@wormhole-foundation/sdk-connect";
import { NativeAddressCtr, PlatformUtils, RpcConnection, Signer, Wormhole } from "@wormhole-foundation/sdk-connect";
export * from "@wormhole-foundation/sdk-connect";
export interface PlatformDefinition<P extends Platform> {
    Platform: PlatformUtils<P>;
    Address: NativeAddressCtr;
    getSigner: (rpc: RpcConnection<P>, key: string, ...args: any) => Promise<Signer>;
    protocolLoaders: {
        [key: string]: () => Promise<any>;
    };
}
export type PlatformLoader<P extends Platform> = () => Promise<PlatformDefinition<P>>;
export declare function load(loaders: PlatformLoader<Platform>[]): Promise<PlatformDefinition<Platform>[]>;
export declare function wormhole<N extends Network>(network: N, platforms: PlatformLoader<Platform>[], config?: ConfigOverrides<N>): Promise<Wormhole<N>>;
//# sourceMappingURL=index.d.ts.map