import { Wormhole, } from "@wormhole-foundation/sdk-connect";
export * from "@wormhole-foundation/sdk-connect";
export async function load(loaders) {
    try {
        // Load platforms
        const platforms = await Promise.all(loaders.map(async (loader) => loader()));
        // Load all protocols by default
        await Promise.all(platforms.map(async (p) => await Promise.all(Object.values(p.protocolLoaders).map((loaderFn) => loaderFn()))));
        // return platforms
        return platforms;
    }
    catch (e) {
        console.error("Failed to load required packages", e);
        throw e;
    }
}
export async function wormhole(network, platforms, config) {
    const loaded = (await load(platforms)).map((p) => p.Platform);
    return new Wormhole(network, loaded, config);
}
//# sourceMappingURL=index.js.map